/// <reference types="react" />
import { StoreSetupScreenDataInterface, StoreSetupFormItemsInterface, RegionInterface, StateInterface, LocalesInterface } from '@setup/data/store-setup-screen-data';
export interface WooCommerceStateObjectInterface {
    code: string;
    name: string;
}
export interface WooCommerceRegionResponseInterface {
    code: string;
    name: string;
    states: WooCommerceStateObjectInterface[];
}
export interface StoreSetupProviderContextInterface {
    storeSetupState: StoreSetupScreenDataInterface;
    setStateAndFormValue: (prop: keyof StoreSetupFormItemsInterface, value: string, touched?: boolean) => void;
    setFormValue: (prop: keyof StoreSetupFormItemsInterface, value: string) => void;
    submitForm: () => void;
    isScreenTouched: () => boolean;
    resetFormValues: () => void;
    setIsLoading: (isLoading: boolean) => void;
    getRegions: () => RegionInterface[];
    setRegion: (region: string) => void;
    getSelectedRegion: () => RegionInterface[];
    getStates: () => StateInterface[];
    getSelectedState: () => StateInterface[];
    getLocales: () => LocalesInterface;
    getCurrentLocale: () => string;
    getLocaleByRegion: (region: string) => string;
    setCurrency: (currency: string) => void;
    setProductTypes: (types: string[]) => void;
    setProductCount: (count: string) => void;
}
export declare const StoreSetupContext: import("react").Context<StoreSetupProviderContextInterface | StoreSetupScreenDataInterface | null>;
declare const StoreSetupProvider: ({ children }: {
    children: React.ReactNode;
}) => JSX.Element;
export default StoreSetupProvider;
//# sourceMappingURL=StoreSetupProvider.d.ts.map