/// <reference types="react" />
export interface CurrencyInterface {
    [key: string]: string;
}
export interface LabelValueInterface {
    label: string;
    value: string;
}
export interface StateInterface {
    label: string;
    value: string;
}
export interface RegionInterface extends LabelValueInterface {
    country: string;
}
export interface LocaleInterface {
    postcode?: {
        label?: string;
        priority?: number;
        required: boolean;
        hidden: boolean;
    };
    state: {
        label?: string;
        required?: boolean;
        hidden?: boolean;
    };
    city?: {
        label?: string;
        required?: boolean;
        hidden?: boolean;
    };
    address_2?: {
        required?: boolean;
        hidden?: boolean;
    };
}
export interface LocalesInterface {
    [key: string]: LocaleInterface;
}
export interface StoreSetupWizardObjectInterface {
    id: string;
    completed: boolean;
    addressLineOne: string;
    addressLineTwo: string;
    region: string;
    state: string;
    city: string;
    postCode: string;
    locale: string;
    currency: string;
    productTypes: string[];
    productCount: string;
    currencies: LabelValueInterface[];
    locales: LocalesInterface;
    regions: RegionInterface[];
    states: StateInterface[];
    ajax: StoreBuilderAjaxObject;
}
export interface StoreSetupFormValueInterface {
    value: string | string[];
    touched: boolean;
    isValid: boolean;
}
export interface StoreSetupStepInterface {
    id: number;
    hideBack?: boolean;
    hideSkip?: boolean;
    hideNext?: boolean;
    label?: string;
    nextText?: string;
    hidePagination?: boolean;
    screen?: React.ReactNode;
    disableNext?: boolean;
    disableAll?: boolean;
    disable?: boolean;
}
export interface StoreSetupFormItemsInterface {
    addressLineOne: StoreSetupFormValueInterface;
    addressLineTwo: StoreSetupFormValueInterface;
    region: StoreSetupFormValueInterface;
    state: StoreSetupFormValueInterface;
    city: StoreSetupFormValueInterface;
    postCode: StoreSetupFormValueInterface;
    currency: StoreSetupFormValueInterface;
    productTypes: StoreSetupFormValueInterface;
    productCount: StoreSetupFormValueInterface;
}
export interface StoreSetupScreenDataInterface extends StoreSetupWizardObjectInterface {
    isLoading: boolean;
    lastStep: number;
    steps: Array<StoreSetupStepInterface>;
    form: StoreSetupFormItemsInterface;
}
declare const StoreSetupScreenData: () => StoreSetupScreenDataInterface;
export default StoreSetupScreenData;
//# sourceMappingURL=store-setup-screen-data.d.ts.map